#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
using namespace std;

const int MN = 1e5 + 5;

int a[MN];

struct str{

    int t,pos;

};
str m[MN];

bool fff(str x, str y){

    return x.t<y.t;

}

vector<int> solve(vector<int> A) {

    int n=A.size();

    vector<int> v;
    v.clear();

    for(int i=0;i<A.size();i++){

        m[i]={A[i],i};

    }

    sort(m,m+n,fff);

    v.pb(n-1);
    for(int i=0;i<n-1;i++){
        v.pb(i);
    }

    return v;

}
